The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Export the Malware Policies

Prev Next

This URL exports malware policies from the Manager.

Resource URL

PUT /domain/<domain_id>/malwarepolicy/export

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Number

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

selectedPolicyList

List of the policies to export

Object

Yes

Details of selectedPolicyList:

Field Name

Description

Data Type

Mandatory

selectedPolicyNameList

List of name of malware policy to export. By default all the policies are exported.

StringList

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

byteStream

Byte stream of the exported file

string

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/0/malwarepolicy/export

Payload

{
	“selectedPolicyNameList”:[“ TestMalwarePolicy_1”,“ TestMalwarePolicy_2” ,“malware archive”]
}

Response

{
"byteSream": " <?xml version='1.0' encoding='ISO-8859-1'?>
<MalwarePolicyConfig>
<MalwarePolicyExport EMSVersion="8.0.5.9.108">
<MalwarePolicy>
<MalwarePolicyVO name="TestMalwarePolicy_1" owner="0" visibleToChild="yes" isEditable="yes"
desc="VisibletoChildDomain"/>
</MalwarePolicy>
<MalwarePolicy>
<MalwarePolicyVO name="TestMalwarePolicy_2" owner="0" visibleToChild="no" isEditable="yes"
desc="NotVisible tochildDomain"/>
</MalwarePolicy>
<MalwarePolicy>
<MalwarePolicyVO name="malware archive" owner="0" visibleToChild="yes" isEditable="yes" desc="">
<MalwarePolicyProtocol idnum="16" enabled="yes"/>
<MalwarePolicyProtocol idnum="12" enabled="yes"/>
</MalwarePolicyVO>
<MalwarePolicyFileActions groupId="1" engineStatus="19" alertingConfidence="5" blockingConfidence="5"
sendTcpConfidence="5" quaratineConfidence="0" saveFileConfidence="1" blacklistConfidence="0" fileSize="0"/>
<MalwarePolicyFileActions groupId="2" engineStatus="18" alertingConfidence="5" blockingConfidence="5"
sendTcpConfidence="5" quaratineConfidence="0" saveFileConfidence="1" blacklistConfidence="0" fileSize="0"/>
<MalwarePolicyFileActions groupId="3" engineStatus="27" alertingConfidence="5" blockingConfidence="5"
sendTcpConfidence="5" quaratineConfidence="0" saveFileConfidence="1" blacklistConfidence="0" fileSize="0"/>
<MalwarePolicyFileActions groupId="4" engineStatus="18" alertingConfidence="5" blockingConfidence="5"
sendTcpConfidence="5" quaratineConfidence="0" saveFileConfidence="1" blacklistConfidence="0" fileSize="0"/>
<MalwarePolicyFileActions groupId="5" engineStatus="3" alertingConfidence="5" blockingConfidence="5"
sendTcpConfidence="5" quaratineConfidence="0" saveFileConfidence="1" blacklistConfidence="0" fileSize="0"/>
<MalwarePolicyFileActions groupId="6" engineStatus="18" alertingConfidence="5" blockingConfidence="5"
sendTcpConfidence="5" quaratineConfidence="0" saveFileConfidence="1" blacklistConfidence="0" fileSize="0"/>
</MalwarePolicy>
</MalwarePolicyExport>
</MalwarePolicyConfig> "
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

400

5305

The policy given is not present: <policyname>